m17n-misc.h File Reference
Include dependency graph for m17n-misc.h:
This graph shows which files directly or indirectly include this file:

## Enumerations

enum

MErrorCode {
MERROR_NONE ,
MERROR_OBJECT ,
MERROR_SYMBOL ,
MERROR_MTEXT ,
MERROR_TEXTPROP ,
MERROR_CHAR ,
MERROR_CHARTABLE ,
MERROR_CHARSET ,
MERROR_CODING ,
MERROR_RANGE ,
MERROR_LANGUAGE ,
MERROR_LOCALE ,
MERROR_PLIST ,
MERROR_MISC ,
MERROR_WIN ,
MERROR_X ,
MERROR_FRAME ,
MERROR_FACE ,
MERROR_DRAW ,
MERROR_FLT ,
MERROR_FONT ,
MERROR_FONTSET ,
MERROR_FONT_OTF ,
MERROR_FONT_X ,
MERROR_FONT_FT ,
MERROR_IM ,
MERROR_DB ,
MERROR_IO ,
MERROR_DEBUG ,
MERROR_MEMORY ,
MERROR_GD ,
MERROR_MAX
}

| Enumeration for error code of the m17n library. More...

## Functions

int | mdebug_hook (void)
| Hook function called on an error. More...
MSymbol | mdebug_dump_symbol (MSymbol sym, int indent)
| Dump a symbol. More...
MSymbol | mdebug_dump_all_symbols (int indent)
| Dump all symbol names. More...
MPlist * | mdebug_dump_plist (MPlist *plist, int indent)
| Dump a property list. More...
MText * | mdebug_dump_mtext (MText *mt, int fullp, int indent)
| Dump an M-text. More...
MCharTable * | mdebug_dump_chartab (MCharTable *table, int indent)
| Dump a chartable. More...

## Variables

void(* | m17n_memory_full_handler )(enum MErrorCode err)
| Memory allocation error handler. More...

## Function Documentation

## mdebug_dump_plist()

MPlist* mdebug_dump_plist | ( | MPlist * | plist,
|  | int | indent
| ) |  |

Dump a property list.

The mdebug_dump_plist() function prints a property list plist in a human readable way to the stderr or to what specified by the environment variable MDEBUG_OUTPUT_FILE. indent specifies how many columns to indent the lines but the first one.

Return value:
  This function returns plist.

## mdebug_dump_chartab()

MCharTable* mdebug_dump_chartab | ( | MCharTable * | table,
|  | int | indent
| ) |  |

Dump a chartable.

The mdebug_dump_chartab() function prints a chartable table in a human readable way to the stderr or to what specified by the environment variable MDEBUG_OUTPUT_FILE. indent specifies how many columns to indent the lines but the first one.

Return value:
  This function returns table.